Package org.apache.struts2.config_browser

# Class ActionNamesAction

java.lang.Object
org.apache.struts2.ActionSupport
org.apache.struts2.config_browser.ActionNamesAction

All Implemented Interfaces:
  `Serializable`, `Action`, `ValidationAware`, `LocaleProvider`, `TextProvider`, `Validateable`

Direct Known Subclasses:
  `ShowBeansAction`, `ShowConfigAction`, `ShowConstantsAction`, `ShowJarsAction`

public class ActionNamesAction extends ActionSupport
ActionNamesAction

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ConfigurationHelper`
  `configHelper`

  ### Fields inherited from class org.apache.struts2.ActionSupport

  `container`

  ### Fields inherited from interface org.apache.struts2.action.Action

  `ERROR, INPUT, LOGIN, NONE, SUCCESS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActionNamesAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `execute()`
  `Set<String>`
  `getActionNames()`
  `ActionConfig`
  `getConfig(String actionName)`
  `String`
  `getExtension()`
  `String`
  `getNamespace()`
  `Set<String>`
  `getNamespaces()`
  `String`
  `index()`
  Index action to support cooperation with REST plugin
  `String`
  `redirect()`
  `void`
  `setConfigurationHelper(ConfigurationHelper cfg)`
  `void`
  `setExtension(String ext)`
  `void`
  `setNamespace(String namespace)`

  ### Methods inherited from class org.apache.struts2.ActionSupport

  `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, getActionErrors, getActionMessages, getContainer, getFieldErrors, getFormatted, getLocale, getLocaleProvider, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTextProvider, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, isValidLocale, isValidLocaleString, pause, setActionErrors, setActionMessages, setContainer, setFieldErrors, toLocale, validate`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### configHelper

    protected ConfigurationHelper configHelper

- ## Constructor Details

  - ### ActionNamesAction

    public ActionNamesAction()

- ## Method Details

  - ### setConfigurationHelper

    public void setConfigurationHelper(ConfigurationHelper cfg)

  - ### getActionNames

    public Set<String> getActionNames()

  - ### getNamespace

    public String getNamespace()

  - ### setNamespace

    public void setNamespace(String namespace)

  - ### setExtension

    public void setExtension(String ext)

  - ### getConfig

    public ActionConfig getConfig(String actionName)

  - ### getNamespaces

    public Set<String> getNamespaces()

  - ### getExtension

    public String getExtension()

  - ### execute

    public String execute() throws Exception
    Specified by:
      `execute` in interface `Action`
    Overrides:
      `execute` in class `ActionSupport`
    Throws:
      `Exception`

  - ### index

    public String index() throws Exception
    Index action to support cooperation with REST plugin
    Returns:
      action result
    Throws:
      `Exception`

  - ### redirect

    public String redirect()